> This page is for version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.pinnacle.sh/v-2/llms.txt
> - v1: https://docs.pinnacle.sh/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pinnacle.sh/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pinnacle.sh/_mcp/server.

# Register a company

POST https://www.trypinnacle.dev/api/company/register
Content-Type: application/json

Register a company for RCS with the Pinnacle platform

Reference: https://docs.pinnacle.sh/v1/api-reference/brand-registration/register

## Authentication

- `PINNACLE-API-Key` header (required) — Pinnacle API Key

## Request

### Body (application/json)

This endpoint expects a company_register_Request.

- `company_register_Request`
  - Register an existing company: Register an existing company
  - Register a new company: Register a new company

## Response

### 200

Successfully registered/updated brand

- `brand` (CompanyRegisterPostResponsesContentApplicationJsonSchemaBrand, required)

## Errors

### 400 Bad Request Error

Bad request due to invalid parameters like missing company name

- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized access due to invalid or missing API key

- `errors` (list of string, optional)

### 402 Payment Required Error

Insufficient balance to register brand

- `errors` (list of string, optional)

### 500 Internal Server Error

Error creating company

- `errors` (list of string, optional)

## Types

### Register an existing company

Register an existing company

- `companyId` (string, required) — ID of an existing company to register

### Register a new company

Register a new company

- `company` (CompanyDetails, required)
- `companyContact` (CompanyContact, required)
- `messaging` (Messaging, required)
- `pointOfContact` (PointOfContact, required)
- `optionals` (Optionals, optional)

### CompanyRegisterPostResponsesContentApplicationJsonSchemaBrand

- `name` (string, required)
- `id` (double, required)

### CompanyDetails

- `name` (string, required) — The name of the company.
- `category` (enum, required) — The category of the company.
  - Allowed values: `Entertainment`, `Finance`, `Food & Beverage`, `Games`, `Health`, `Misc`, `News`, `Other`, `Productivity`, `Shopping & Retail`, `Social`, `Sports`, `Travel`, `Utilities`
- `address` (string, required) — The address of the company.
- `ein` (string, required) — The EIN (Employer Identification Number) of the company.
- `description` (string, required) — A description of the company.
- `brandColor` (string, required) — The brand color in hex format, must pass a contrast ratio of at least 4.5:1 with white.
- `logoUrl` (string, required) — URL of the company logo.
- `heroUrl` (string, required) — URL of the company's hero image.

### CompanyContact

- `primaryWebsiteUrl` (string, required) — Primary website URL.
- `primaryWebsiteLabel` (string, required) — Label for the primary website.
- `primaryPhone` (string, required) — Primary phone number in international format.
- `primaryPhoneLabel` (string, required) — Label for the primary phone number.
- `primaryEmail` (string, required) — Primary email address.
- `primaryEmailLabel` (string, required) — Label for the primary email address.
- `privacyPolicyUrl` (string, required) — URL of the privacy policy.
- `tosUrl` (string, required) — URL of the terms of service.

### Messaging

- `optIn` (string, required) — Explain how users will opt in to receive messages.
- `optOut` (string, required) — Explain how users will opt out of receiving messages.
- `optOutKeywords` (list of string, required) — Please provide the unique keywords to opt out. Each keyword should not contain spaces.
- `agentUseCase` (string, required) — Please define what your agent will do.
- `expectedAgentResponses` (string, required) — Please provide some example messages that your agent will send.

### PointOfContact

- `pocName` (string, required) — Point of contact's name.
- `pocTitle` (string, required) — Point of contact's title.
- `pocEmail` (string, required) — Point of contact's email address.

### Optionals

- `additionalWebsites` (list of AdditionalWebsite, optional) — List of additional websites, up to 2.
- `additionalPhoneNumbers` (list of AdditionalPhoneNumber, optional) — List of additional phone numbers, up to 2.
- `additionalEmails` (list of AdditionalEmail, optional) — List of additional email addresses, up to 2.
- `testNumbers` (list of string, optional)

### AdditionalWebsite

- `url` (string, required) — URL of the additional website.
- `label` (string, required) — Label for the additional website.

### AdditionalPhoneNumber

- `phone` (string, required) — Additional phone number in international format.
- `label` (string, required) — Label for the additional phone number.

### AdditionalEmail

- `email` (string, required) — Additional email address.
- `label` (string, required) — Label for the additional email address.

## Examples

**Request**

```json
{
  "companyId": "string"
}
```

**Response**

```json
{
  "brand": {
    "name": "Test Company",
    "id": 36
  }
}
```

**SDK Code**

```python Company registered
import requests

url = "https://www.trypinnacle.dev/api/company/register"

payload = { "companyId": "string" }
headers = {
    "PINNACLE-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Company registered
const url = 'https://www.trypinnacle.dev/api/company/register';
const options = {
  method: 'POST',
  headers: {'PINNACLE-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"companyId":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Company registered
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.trypinnacle.dev/api/company/register"

	payload := strings.NewReader("{\n  \"companyId\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("PINNACLE-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Company registered
require 'uri'
require 'net/http'

url = URI("https://www.trypinnacle.dev/api/company/register")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["PINNACLE-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"companyId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java Company registered
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.trypinnacle.dev/api/company/register")
  .header("PINNACLE-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"companyId\": \"string\"\n}")
  .asString();
```

```php Company registered
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.trypinnacle.dev/api/company/register', [
  'body' => '{
  "companyId": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'PINNACLE-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Company registered
using RestSharp;

var client = new RestClient("https://www.trypinnacle.dev/api/company/register");
var request = new RestRequest(Method.POST);
request.AddHeader("PINNACLE-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"companyId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Company registered
import Foundation

let headers = [
  "PINNACLE-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["companyId": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.trypinnacle.dev/api/company/register")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```